class CreateSettings < ActiveRecord::Migration[7.0]
  def change
    create_table :settings do |t|
      t.references :user, null: false, foreign_key: { to_table: :users }
      t.string :key, limit: 255, null: false
      t.json :value, null: false
      t.timestamps
    end
  end
end
